## androguard 2.0

=== Makefile ===
CD      =       cd
RM      =       rm -f


all :   LIBS

LIBS :
#	cd androguard/core/bytecodes/libdvm && make
	cd elsim && make

clean :
#	cd androguard/core/bytecodes/libdvm && make clean
	cd elsim && make clean

=== elsim/Makefile ===
CD      =       cd
RM      =       rm -f


all :   LIBS

LIBS :
	cd elsim/similarity && make
	cd elsim/elsign && make 

clean :
	cd elsim/similarity && make clean
	cd elsim/elsign && make clean

=== elsim/elsim/elsign/Makefile ===
CD      =       cd
RM      =       rm -f


all :   LIBS

LIBS :
	cd formula && make
	cd libelsign && make

clean :
	cd formula && make clean
	cd libelsign && make clean

=== elsim/elsim/similarity/Makefile ===
CD      =       cd
RM      =       rm -f


all :   LIBS

LIBS :
	cd libsimilarity && make

clean :
	cd libsimilarity && make clean

=== elsim/elsim/elsign/formula/Makefile ===
SRC	= 	formula.cc

LDFLAGS +=	-lmuparser
CFLAGS  += 	-Wall -fPIC -fpermissive
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

CXX		?= g++
CC		?= gcc

OBJ	= $(SRC:.cc=.o)


all :   $(OBJ) TEST

TEST :
		$(CXX) $(CFLAGS) -c test.cc
		$(CXX) -o test test.o $(OBJ) $(LDFLAGS)

clean :
	$(RM) *.o $(LIBNAME).so

%.o   : %.cc
	$(CXX) $(CFLAGS) -c -o $@ $<

=== elsim/elsim/elsign/libelsign/Makefile ===
SRC	= 	elsign.cc

PATH_SIMILARITY = ../../similarity/libsimilarity/
PATH_FORMULA = ../formula/

CUROS = $(shell uname -s)

ifeq ($(CUROS),Darwin)
LDFLAGS +=	-lm -lbz2 -lz -llzma -lsnappy -lmuparser -lpython
else
LDFLAGS +=	-lm -lbz2 -lz -llzma -lsnappy -lmuparser
endif

CFLAGS  += 	-Wall -fPIC -I/usr/include/python2.7/ -I$(PATH_SIMILARITY) -I$(PATH_FORMULA)

mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

EXT_SIMILARITY = $(PATH_SIMILARITY)similarity.o
EXT_FORMULA = $(PATH_FORMULA)formula.o
EXT_ZIP = $(PATH_SIMILARITY)z/z.o $(PATH_SIMILARITY)bz2/bz2.o $(PATH_SIMILARITY)smaz/smaz.o $(PATH_SIMILARITY)xz/xz.o $(PATH_SIMILARITY)snappy/snappy.o $(PATH_SIMILARITY)vcblocksort/vcblocksort.o
EXT_SDK_LZMA = $(PATH_SIMILARITY)lzma/Alloc.o  $(PATH_SIMILARITY)lzma/LzFind.o  $(PATH_SIMILARITY)lzma/LzmaDec.o  $(PATH_SIMILARITY)lzma/LzmaEnc.o  $(PATH_SIMILARITY)lzma/LzmaLib.o  $(PATH_SIMILARITY)lzma/lzma.o

CXX		?= g++
CC		?= gcc

LIBNAME = libelsign

OBJ	= $(SRC:.cc=.o)
AHO_OBJ = ac_heap.o ac_list.o aho_corasick.o
WUMANBER_OBJ = #WuManber.o 
CLUSTER_OBJ = cluster.o


all :   AHO CLUSTER $(OBJ) LIBSIGN

AHO :
		$(CC) $(CFLAGS) -c ac_heap.c
		$(CC) $(CFLAGS) -c ac_list.c
		$(CC) $(CFLAGS) -c aho_corasick.c

CLUSTER :
		$(CC) $(CFLAGS) -c cluster.c

WUMANBER :
		$(CXX) $(CFLAGS) -c WuManber.cpp

LIBSIGN :
	$(CXX) -o $(LIBNAME).so $(OBJ) $(AHO_OBJ) $(WUMANBER_OBJ) $(CLUSTER_OBJ) $(EXT_SIMILARITY) $(EXT_FORMULA) $(EXT_ZIP) $(EXT_SDK_LZMA) -shared $(LDFLAGS)

clean :
	$(RM) *.o $(LIBNAME).so

%.o   : %.cc
	$(CXX) $(CFLAGS) -c -o $@ $<

=== elsim/elsim/similarity/libsimilarity/Makefile ===
SRC	= 	similarity.c

LDFLAGS +=	-lm -lbz2 -lz -llzma -lsnappy
CFLAGS  +=	-Wall -fPIC
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

EXT_ZIP = z/z.o bz2/bz2.o smaz/smaz.o xz/xz.o snappy/snappy.o vcblocksort/vcblocksort.o
EXT_SDK_LZMA = lzma/Alloc.o  lzma/LzFind.o  lzma/LzmaDec.o  lzma/LzmaEnc.o  lzma/LzmaLib.o  lzma/lzma.o

LIBNAME = "libsimilarity"

OBJ	= $(SRC:.c=.o)


all :   ZIP $(OBJ) LIBSIMILARITY

ZIP :
	cd z && make
	cd bz2 && make
	cd smaz && make
	cd xz && make
	cd lzma && make
	cd snappy && make
	cd vcblocksort && make

LIBSIMILARITY :
	$(CC) -o $(LIBNAME).so $(OBJ) $(EXT_ZIP) $(EXT_SDK_LZMA) -shared $(LDFLAGS)

clean :
	$(RM) *.o $(LIBNAME).so
	cd z && make clean
	cd bz2 && make clean
	cd smaz && make clean
	cd xz && make clean
	cd lzma && make clean
	cd snappy && make clean
	cd vcblocksort && make clean

%.o   : %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== elsim/elsim/similarity/libsimilarity/bz2/Makefile ===
SRC	= 	bz2.c

LDFLAGS +=	-lbz2
CFLAGS  +=      -Wall -fPIC       
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

OBJ	= $(SRC:.c=.o)


all :  $(OBJ) test

test :
	$(CC) -c test_bz2.c $(CFLAGS)
	$(CC) -o test_bz2 test_bz2.o $(OBJ) $(LDFLAGS)

clean :
	$(RM) *.o test_bz2

%.o   : %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== elsim/elsim/similarity/libsimilarity/lzma/Makefile ===
SRC	= 	Alloc.c LzFind.c LzmaDec.c LzmaEnc.c LzmaLib.c lzma.c

LDFLAGS +=
CFLAGS  =      -Wall -D_7ZIP_ST -fPIC  
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

OBJ	= $(SRC:.c=.o)


all :  $(OBJ) test

test :
	$(CC) -c test_lzma.c $(CFLAGS)
	$(CC) -o test_lzma test_lzma.o $(OBJ) $(LDFLAGS)

clean :
	$(RM) *.o test_lzma

%.o   : %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== elsim/elsim/similarity/libsimilarity/smaz/Makefile ===
SRC	= 	smaz.c

LDFLAGS +=
CFLAGS  +=      -Wall -fPIC      
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

OBJ	= $(SRC:.c=.o)


all :  $(OBJ) test

test :
	$(CC) -c test_smaz.c $(CFLAGS)
	$(CC) -o test_smaz test_smaz.o $(OBJ) $(LDFLAGS)

clean :
	$(RM) *.o test_smaz

%.o   : %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== elsim/elsim/similarity/libsimilarity/snappy/Makefile ===
SRC	= 	snappy.cc

CC	?=	gcc
CXX	?=	g++
LDFLAGS +=	-lsnappy
CFLAGS  +=      -Wall 
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

OBJ	= $(SRC:.cc=.o)

#.SILENT:

all :  $(OBJ) test

test :
	$(CC) -c test_snappy.c $(CFLAGS) -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -fPIC
	$(CXX) -Bsymbolic-functions -o test_snappy test_snappy.o $(OBJ) $(LDFLAGS)

clean :
	$(RM) *.o test_snappy

%.o   : %.cc
	$(CC)  -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -fPIC $(CFLAGS) -c -o $@ $<

=== elsim/elsim/similarity/libsimilarity/vcblocksort/Makefile ===
SRC	= 	vcblocksort.c

LDFLAGS +=	-lm
CFLAGS  +=      -Wall -fPIC       
mkdir	=	mkdir -p
CD      =       cd
RM      =       rm -f

OBJ	= $(SRC:.c=.o)


all :  $(OBJ) test

test :
	$(CC) -c test_vcblocksort.c $(CFLAGS)
	$(CC) -o test_vcblocksort test_vcblocksort.o $(OBJ) $(LDFLAGS)

clean :
	$(RM) *.o test_vcblocksort

%.o   : %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== debian/changelog ===
androguard (2.0-1) unstable; urgency=low

  * Initial release. (Closes: #811421)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 18 Jan 2016 20:54:01 +0100

=== debian/control ===
Source: androguard
Maintainer: Hans-Christoph Steiner <hans@eds.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               libbz2-dev,
               liblzma-dev,
               libmuparser-dev,
               libsnappy-dev,
               libsparsehash-dev,
               python-all (>= 2.6.6-3),
               python-dev,
               python-setuptools (>= 0.6b3),
               zlib1g-dev
Standards-Version: 3.9.7
X-Python-Version: >= 2.6

Package: androguard
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ipython
Suggests: python-pyside.qtcore, python-pyside.qtgui
Description: full Python tool to play with Android files
 Androguard is a full Python tool to play with Android files.
 .
  * DEX, ODEX
  * APK
  * Android's binary xml
  * Android resources
  * Disassemble DEX/ODEX bytecodes
  * Decompiler for DEX/ODEX files

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	make

dist-packages = debian/androguard/usr/lib/python2.7/dist-packages
override_dh_auto_install:
	dh_auto_install
	for f in debian/androguard/usr/bin/*.py; do \
		mv $$f `echo $$f | sed 's,\.py$$,,'`; done
	mkdir -p $(dist-packages)/elsim/elsim/similarity/libsimilarity
	cp elsim/elsim/similarity/libsimilarity/libsimilarity.so \
		$(dist-packages)/elsim/elsim/similarity/libsimilarity/libsimilarity.so
	mkdir -p $(dist-packages)/elsim/elsim/elsign/libelsign
	cp elsim/elsim/elsign/libelsign/libelsign.so \
		$(dist-packages)/elsim/elsim/elsign/libelsign/libelsign.so

## androguard 3.1.0~rc2

=== examples/tests/Makefile ===
all: Test.dex Switch.dex FillArrays.dex StringTests.dex

%.class: %.java
	javac -source 1.7 -target 1.7 $^

%.dex: %.class
	/usr/lib/android-sdk/build-tools/debian/dx --dex --output $@ $^

=== debian/changelog ===
androguard (3.1.0~rc2-1) unstable; urgency=medium

  * New upstream version 3.1.0~rc2

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 21 Feb 2018 20:21:04 +0100

androguard (3.1.0~rc1-2) unstable; urgency=medium

  * disable big-endian arches (Closes: #890593)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 19 Feb 2018 22:09:47 +0100

androguard (3.1.0~rc1-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream versions
  * Switch from python2 to python3
  * remove .py from commands

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 13 Feb 2018 10:19:36 +0100

androguard (2.0-3) unstable; urgency=medium

  [ Bhavani Shankar ]
  * upstream commit e1bd2a7 to fix compilation on non-x86 (Closes: #849647)

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 11 Mar 2017 10:17:40 +0100

androguard (2.0-2) unstable; urgency=medium

  * lintian overrides: the included binaries are test objects
  * manually include python-networkx (Closes: #823309)
  * include Vcs tags
  * Uploaders: Debian Python Modules Team
  * Standards-Version: 3.9.8, no changes
  * remove pointless README (Closes: #824978)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 01 Jun 2016 12:08:23 +0200

=== debian/control ===
Source: androguard
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-strip-nondeterminism,
               python3-all,
               python3-cryptography,
               python3-future,
               python3-lxml,
               python3-networkx,
               python3-mock (>=2.0),
               python3-nose,
               python3-nose-timer,
               python3-pyasn1,
               python3-pygments,
               python3-setuptools,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/python-team/modules/androguard.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/androguard
X-Python3-Version: >= 3.3

Package: androguard
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hurd-i386 m68k powerpcspe sh4 x32
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: full Python tool to play with Android files
 Androguard is a full Python tool to play with Android files.
 .
  * DEX, ODEX
  * APK
  * Android's binary xml
  * Android resources
  * Disassemble DEX/ODEX bytecodes
  * Decompiler for DEX/ODEX files

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3 \
		--depends-section=magic \
		--recommends-section=GUI \
		--recommends-section=graphing

override_dh_install:
	dh_install
	mv debian/androguard/usr/bin/androarsc.py debian/androguard/usr/bin/androarsc
	mv debian/androguard/usr/bin/androauto.py debian/androguard/usr/bin/androauto
	mv debian/androguard/usr/bin/androaxml.py debian/androguard/usr/bin/androaxml
	mv debian/androguard/usr/bin/androdd.py debian/androguard/usr/bin/androdd
	mv debian/androguard/usr/bin/androdis.py debian/androguard/usr/bin/androdis
	mv debian/androguard/usr/bin/androgui.py debian/androguard/usr/bin/androgui
	mv debian/androguard/usr/bin/androlyze.py debian/androguard/usr/bin/androlyze

# do not strip the test/example files!
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -O--buildsystem=pybuild \
		--exclude=debian/androguard/usr/share/doc/androguard/examples

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests3 --with-timer --timer-top-n 50
	for f in `find -name \*.apk`; do \
	   echo "testing $$f"; \
	   PYTHONPATH=$(CURDIR) build/scripts-3.*/androaxml.py -i $$f > /dev/null; \
	   PYTHONPATH=$(CURDIR) build/scripts-3.*/androaxml.py -i $$f -o /dev/null; \
	   PYTHONPATH=$(CURDIR) build/scripts-3.*/androarsc.py -i $$f > /dev/null; \
	   PYTHONPATH=$(CURDIR) build/scripts-3.*/androarsc.py -i $$f -o /dev/null; \
	   PYTHONPATH=$(CURDIR) build/scripts-3.*/androarsc.py -i $$f -t string > /dev/null; \
	   PYTHONPATH=$(CURDIR) build/scripts-3.*/androarsc.py -i $$f -t string -o /dev/null; \
      done
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/androguard/androguard-(.*)\.tar\.gz

## androguard 3.2.1

=== examples/tests/Makefile ===
all: Test.dex Switch.dex FillArrays.dex StringTests.dex AnalysisTest.dex

%.class: %.java
	javac -source 1.7 -target 1.7 $^

%.dex: %.class
	/usr/lib/android-sdk/build-tools/debian/dx --dex --output $@ $^

=== debian/changelog ===
androguard (3.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Hans-Christoph Steiner ]
  * New upstream version
  * enable full test suite in autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Sep 2018 12:41:58 +0200

androguard (3.1.0~rc2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Hans-Christoph Steiner ]
  * disable tests that fail on big-endian and re-enable on those arches
  * Standards-Version: 4.1.4 no changes

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 16 May 2018 20:21:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                dh-strip-nondeterminism,
                python3-all,
-               python3-cryptography,
+               python3-cryptography (>= 1.2),
                python3-future,
                python3-lxml,
                python3-networkx,
@@ -17,13 +17,12 @@
                python3-pyasn1,
                python3-pygments,
                python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/python-team/modules/androguard.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/androguard
-X-Python3-Version: >= 3.3
 
 Package: androguard
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hurd-i386 m68k powerpcspe sh4 x32
+Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},

## androguard 3.3.1

=== debian/changelog ===
androguard (3.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 25 Jan 2019 15:49:45 +0000

## androguard 3.3.3

=== debian/changelog ===
androguard (3.3.3-1~bpo9+1) stretch-backports; urgency=medium

  * rebuild for stretch-backports

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 31 Jan 2019 22:46:07 +0100

androguard (3.3.3-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 28 Jan 2019 12:10:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3 \
		--depends-section=magic \
		--recommends-section=GUI \
		--recommends-section=graphing

override_dh_install:
	dh_install
	mv debian/androguard/usr/bin/androarsc.py debian/androguard/usr/bin/androarsc
	mv debian/androguard/usr/bin/androauto.py debian/androguard/usr/bin/androauto
	mv debian/androguard/usr/bin/androaxml.py debian/androguard/usr/bin/androaxml
	mv debian/androguard/usr/bin/androcg.py debian/androguard/usr/bin/androcg
	mv debian/androguard/usr/bin/androdd.py debian/androguard/usr/bin/androdd
	mv debian/androguard/usr/bin/androdis.py debian/androguard/usr/bin/androdis
	mv debian/androguard/usr/bin/androgui.py debian/androguard/usr/bin/androgui
	mv debian/androguard/usr/bin/androlyze.py debian/androguard/usr/bin/androlyze
	mv debian/androguard/usr/bin/androsign.py debian/androguard/usr/bin/androsign

# do not strip the test/example files!
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -O--buildsystem=pybuild \
		--exclude=debian/androguard/usr/share/doc/androguard/examples

override_dh_compress:
	dh_compress -X usr/share/doc/androguard/examples

override_dh_auto_test:

## androguard 3.3.5

=== examples/tests/Makefile ===
all: Test.dex Switch.dex FillArrays.dex StringTests.dex AnalysisTest.dex ExceptionHandling.dex InterfaceCls.dex

%.class: %.java
	javac -source 1.7 -target 1.7 $^


# Special files with multiple classes...
ExceptionHandling.dex: ExceptionHandling.class SomeException.class AnotherException.class
	/usr/lib/android-sdk/build-tools/debian/dx --dex --output $@ $^

%.dex: %.class
	/usr/lib/android-sdk/build-tools/debian/dx --dex --output $@ $^

=== examples/tests/multidex/Makefile ===
all: multidex.apk

%.class: %.java
	javac -source 1.7 -target 1.7 $^

%.apk: com/foobar/foo/Foobar.class com/blafoo/bar/Blafoo.class
	/usr/lib/android-sdk/build-tools/debian/dx --dex --multi-dex --minimal-main-dex --main-dex-list=class_files.txt --output $@ $^

=== debian/changelog ===
androguard (3.3.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * debian/rules
    - run unittests at build-time
  * debian/patches/networkx-2.4.patch
    - compatiblity with networkx 2.4; Closes: #945390

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Dec 2019 20:20:28 -0500

androguard (3.3.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Hans-Christoph Steiner ]
  * New upstream version
  * audroauto was removed by upstream

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 Oct 2019 20:54:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,27 @@
 Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 9),
                dh-python,
                dh-strip-nondeterminism,
                python3-all,
+               python3-click,
                python3-cryptography (>= 1.2),
+               python3-magic,
                python3-future,
                python3-lxml,
+               python3-mock (>=2.0),
                python3-networkx,
-               python3-mock (>=2.0),
                python3-nose,
                python3-nose-timer,
                python3-pyasn1,
+               python3-pydot,
                python3-pygments,
                python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/androguard.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/androguard
+Homepage: https://github.com/androguard/androguard
 
 Package: androguard
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 override_dh_install:
 	dh_install
 	mv debian/androguard/usr/bin/androarsc.py debian/androguard/usr/bin/androarsc
-	mv debian/androguard/usr/bin/androauto.py debian/androguard/usr/bin/androauto
 	mv debian/androguard/usr/bin/androaxml.py debian/androguard/usr/bin/androaxml
 	mv debian/androguard/usr/bin/androcg.py debian/androguard/usr/bin/androcg
 	mv debian/androguard/usr/bin/androdd.py debian/androguard/usr/bin/androdd
@@ -34,3 +33,4 @@
 	dh_compress -X usr/share/doc/androguard/examples
 
 override_dh_auto_test:
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test

## androguard 3.4.0~a1

=== requirements.txt ===
networkx>=2.2
pygments>=2.3.1
lxml>=4.3.0
colorama>=0.4.1
matplotlib>=3.0.2
asn1crypto>=0.24.0
click>=7.0
pydot>=1.4.1
ipython>=5.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Androguard.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Androguard.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Androguard"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Androguard"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== examples/tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: Test.dex Switch.dex FillArrays.dex StringTests.dex AnalysisTest.dex ExceptionHandling.dex InterfaceCls.dex
+all: Test.dex Switch.dex FillArrays.dex StringTests.dex AnalysisTest.dex ExceptionHandling.dex InterfaceCls.dex FieldsTest.dex
 
 %.class: %.java
 	javac -source 1.7 -target 1.7 $^

=== debian/changelog ===
androguard (3.4.0~a1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Hans-Christoph Steiner ]
  * New upstream version 3.4.0~a1

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 20 Nov 2020 11:54:20 +0100

androguard (3.3.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Diego M. Rodriguez ]
  * d/control: replace pyasn1 with asn1crypto (Closes: #951961)

  [ Emmanuel Arias ]
  * d/gbp.conf: set debian/master as default branch.
  * Rename d/.gitlab-ci.yml to salsa-ci.yml.
    - Switch image to salsa-ci recommendation.

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 02 Mar 2020 00:22:41 -0300

=== debian/control ===
Source: androguard
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               dh-strip-nondeterminism,
               python3-all,
               python3-asn1crypto,
               python3-click,
               python3-cryptography (>= 1.2),
               python3-magic,
               python3-future,
               python3-lxml,
               python3-mock (>= 2.0),
               python3-networkx,
               python3-nose,
               python3-nose-timer,
               python3-pydot,
               python3-pygments,
               python3-setuptools,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/packages/androguard.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/androguard
Homepage: https://github.com/androguard/androguard

Package: androguard
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: full Python tool to play with Android files
 Androguard is a full Python tool to play with Android files.
 .
  * DEX, ODEX
  * APK
  * Android's binary xml
  * Android resources
  * Disassemble DEX/ODEX bytecodes
  * Decompiler for DEX/ODEX files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3 \
		--depends-section=magic \
		--recommends-section=GUI \
		--recommends-section=graphing

# do not strip the test/example files!
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -O--buildsystem=pybuild \
		--exclude=debian/androguard/usr/share/doc/androguard/examples

override_dh_compress:
	dh_compress -X usr/share/doc/androguard/examples

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test

=== debian/tests/control ===
Tests: smoke-test
Restrictions: isolation-container, allow-stderr

Test-Command: nosetests3 --with-timer --timer-top-n 50
Depends: @, @builddeps@
Restrictions: isolation-container, allow-stderr

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?\.?(\d\S*)\.tar\.gz/androguard_$1\.orig\.tar\.gz/ \
  https://github.com/androguard/androguard/releases .*/v?\.?(\d\S*)\.tar\.gz

## androguard 4.1.3

=== requirements.txt ===
pygments>=2.3.1
lxml>=4.3.0
colorama>=0.4.1
asn1crypto>=0.24.0
click>=7.0
pydot>=1.4.1
ipython>=5.0.0
mutf8
dataset
frida
loguru
apkInspector>=1.2.1
matplotlib
networkx
pyyaml
cryptography

=== debian/changelog ===
androguard (4.1.3-3~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Add python3-pygments build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jan 2026 08:40:05 +0100

androguard (4.1.3-3) unstable; urgency=medium

  * Team upload.
  * Make frida optional

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Jan 2026 09:53:15 +0100

androguard (4.1.3-2) unstable; urgency=medium

  * Team upload.
  * matplotlib is optional
  * Disable autopkgtest on s390x

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Jan 2026 08:53:49 +0100

androguard (4.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.1.3
    - Fixes syntax warning (Closes: #1085324)
    - Drop GUI (Closes: #1119795)
  * Update d/copyright
  * Update patches
  * Drop optional priority
  * Bump policy version (no changes)
  * Cleanup for new upstream version
  * Update dependency
  * Switch d/watch to v5
  * Switch to autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Jan 2026 11:51:45 +0100

androguard (3.4.0~a1-18) unstable; urgency=medium

  * Team upload.
  * Compatibility with Pytest 8.4 (Closes: #1114047)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 14:36:53 +0200

androguard (3.4.0~a1-17) unstable; urgency=medium

  * fix Python 3.12 syntax error (Closes: #1061593)
  * fix ResParserError: reserved must be zero!

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 04 Mar 2025 09:05:08 +0100

androguard (3.4.0~a1-16) unstable; urgency=medium

  * Team upload.
  * Add dep on python3-colorama (Closes: #1091936)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 10:28:09 +0100

androguard (3.4.0~a1-15) unstable; urgency=medium

  * fix cg command with newer networkx (Closes: #1072592, #1073403)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 09 Sep 2024 21:26:54 +0200

androguard (3.4.0~a1-14) unstable; urgency=medium

  * Add updated res0/res1 patch from upstream

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 15 Mar 2024 12:33:45 +0100

androguard (3.4.0~a1-13) unstable; urgency=medium

  * Re-enable complete test suite.

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 13 Mar 2024 16:57:30 +0100

androguard (3.4.0~a1-12) unstable; urgency=medium

  * fix crash with bad logging variable

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 13 Mar 2024 14:26:25 +0100

androguard (3.4.0~a1-11) unstable; urgency=medium

  * Replace res0 patch with better patch from upstream

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 13 Mar 2024 13:52:06 +0100

androguard (3.4.0~a1-10) unstable; urgency=medium

  * Team upload.
  * Skip autopkgtest on s390x (See: #890593)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jan 2024 08:56:37 +0100

androguard (3.4.0~a1-9) unstable; urgency=medium

  * Team upload.
  * Fix failing build (Closes: #1058146)
  * Use pybuild.testfiles

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 25 Jan 2024 15:11:06 +0100

androguard (3.4.0~a1-8) unstable; urgency=medium

  * Team upload.
  * remove useless, deprecated, build-dep python3-future

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 16:30:02 +0100

androguard (3.4.0~a1-7) unstable; urgency=medium

  * patch to remove unneeded "res0 must be always zero" error

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 12 Jul 2023 11:33:59 +0200

androguard (3.4.0~a1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-cryptography and
      python3-mock.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:41:40 +0100

androguard (3.4.0~a1-5) unstable; urgency=medium

  * Team upload.
  * Use pytest instead of nose. (Closes: #1018306)
  * Add debian/tests/arsc.

 -- Emanuele Rocca <ema@debian.org>  Mon, 26 Sep 2022 20:23:24 +0200

androguard (3.4.0~a1-4) unstable; urgency=medium

  * Team upload.
  * Fix pyyaml dependency
  * Drop isolation-container in autopkgtests
  * Bump policy version (no changes)
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 05 Jul 2022 09:01:28 +0200

androguard (3.4.0~a1-3) unstable; urgency=medium

  * Team upload.
  * Add patch for new NetworkX (Closes: #1011713)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Jul 2022 10:43:29 +0200

androguard (3.4.0~a1-2) unstable; urgency=medium

  * Team upload.
  * Add patch for oscrypto
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Apr 2022 12:27:09 +0200

=== debian/control ===
Source: androguard
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Section: devel
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apkinspector <!nocheck>,
               python3-asn1crypto <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-dataset <!nocheck>,
               python3-loguru <!nocheck>,
               python3-lxml <!nocheck>,
               python3-mutf8 <!nocheck>,
               python3-networkx <!nocheck>,
               python3-poetry-core,
               python3-prompt-toolkit <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pygments <!nocheck>,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/python-team/packages/androguard.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/androguard
Homepage: https://github.com/androguard/androguard
Testsuite: autopkgtest-pkg-pybuild

Package: androguard
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: full Python tool to play with Android files
 Androguard is a full Python tool to play with Android files.
 .
  * DEX, ODEX
  * APK
  * Android's binary xml
  * Android resources
  * Disassemble DEX/ODEX bytecodes
  * Decompiler for DEX/ODEX files
